<?php
use LabBase\Model\Brand;
use LabBase\Model\BrandPost;
use LabBase\Model\Category;
use LabBase\Model\User;

$brandBannerChangeURL = $this->url('root/brandSettings', ['action' => 'uploadBanner', 'param' => $this->thisBrand->url]);

$thisBrandLogoURL = \LabBase\Model\ImageSaver::GetImageS3LinkFromName('brand-avatar-'.$this->thisBrand->id);
$thisBrandURL = $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url]);

$thisAboutMe = (!empty($this->aboutMe)) ? $this->aboutMe : [];
//echo "<pre>"; print_R($thisAboutMe); die;

/** @var $user User */
$user = $this->sessionInfo()->getLoggedInUser();
?>

<script>
    var g_thisBrand = {
        id: <?= $this->thisBrand->id; ?>,
        name: '<?= addslashes($this->thisBrand->name); ?>',
        category: '<?= addslashes($this->categoryUrl); ?>',
        url: '<?= addslashes($this->thisBrand->url); ?>',
        loveCount: <?= $this->thisBrand->loveCount; ?>,
        lovedByUser: <?= $this->brandLovedByUser ? 'true' : 'false' ?>
    };
    <?php if($user) { ?>

    var g_loggedInUser = {
        id: <?= $user->id; ?>,
        name: '<?= addslashes($user->fullName) ?>',
        isAdmin: <?= $user->isAdmin() ? 'true' : 'false'  ?>,
        canEditBrand: <?= $this->userCanEditBrand ? 'true' : 'false' ?>
    };
    <?php }else{ ?>
    var g_loggedInUser = false;
    <?php } ?>
</script>

<?php


$brandName = null;
if($this->BrandName) {
    $brandName = $this->BrandName;
    $brandUrl = $this->BrandUrl;
    $brandDescription = $this->BrandDescription;
}else{
    if ($user && $user->lastVisitedBrandId !== null) {
        /** @var Brand $brand */
        $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
        if ($brand) {
            $brandName = $brand->name;
            $brandDescription = $brand->description;
            $brandUrl = $brand->url;
        }
    }
    else{
        $brandName = $this->thisBrand->name;
        $brandDescription = $this->thisBrand->description;
        $brandUrl = $this->thisBrand->url;
    }
}
$thisBrand = $this->thisBrand;
?>

<!-- Header -->
    <?php echo $this->render('user-header.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL, 'userCanEditBrand' => $this->userCanEditBrand)); ?>
<!--END-->

<div class="body-content">
   
    <div class="wrapper">

        <!-- Sidebar Layout -->
        <div class="full-width">
            <?php echo $this->render('user-menu.phtml', array('page' => 'photo', 'brandUrl' => $this->thisBrand->url)); ?>
            
            <!-- Main Content -->
            <div class="main-content">
            
                <div class="panel panel-default about_me_section">
                    
                    <div class="panel-heading">
                        <ul class="photo_section_menu full-width">
                            <li class="">
                                <a href="<?php echo $this->url('root/perosonlPagePhoto', ['brandUrl' => $this->brandUrl]); ?>">
                                    <h6>All Photos <?php echo ($this->postPhotoCnt > 0) ? "({$this->postPhotoCnt})" : ''; ?></h6>
                                </a>
                            </li>
                            <li class="">
                                <a href="<?php echo $this->url('root/perosonlPageAlbum', ['brandUrl' => $this->brandUrl]); ?>">
                                    <h6>Albums <?php echo ($this->postAlbumCnt > 0) ? "({$this->postAlbumCnt})" : ''; ?></h6>
                                </a>
                            </li>
                            <li class="active">
                                <a href="<?php echo $this->url('root/perosonlPageVideo', ['brandUrl' => $this->brandUrl]); ?>">
                                    <h6>Videos <?php echo ($this->postVideoCnt > 0) ? "({$this->postVideoCnt})" : ''; ?></h6>
                                </a>
                            </li>
                        </ul>
                    </div>
                    
                    <div class="panel-body">
                       
                       <div class="col-md-12 nopadding video_section_container">
                            
                            <?php if($this->userCanEditBrand){ ?>
                                <div class="col-md-4 col-sm-4 col-xsm-6 video_section">
                                    <div class="video_container add_new_video" data-toggle="modal" data-target="#AddVidedoLink">
                                        <div class="video_image_content">
                                            <i aria-hidden="true" class="fa fa-play-circle-o fa-4x"></i>
                                            <p>Paste another Video link</p>
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php if(!empty($this->postList)){ ?>

                                <?php foreach($this->postList as $video){ ?>
                                    
                                    <?php if(!empty(trim($video->videoData))){ ?>
                                        
                                        <div class="col-md-4 col-sm-4 col-xsm-6 video_section">
                                            <div class="video_container" data-toggle="modal" data-target="#AddVidedoLink">
                                                <div class="video_image_content">
                                                    <?php echo trim($video->videoData); ?>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    <?php } ?>
                                    
                                <?php } ?>
                            <?php }else{ ?>
                                
                                <div class="feed-item no-story-content">
                                    <div class="no-story-layout">
                                        <p style="margin-top: 22px; margin-bottom: 20px">
                                            No videos, yet!
                                        </p>
                                    </div>
                                </div>
                                
                            <?php } ?>
                            
                       </div>
                                               
                    </div>
                    
                </div>
               
            </div>
            
        </div>
    </div>
    
</div>


<div class="modal fade" id="AddVidedoLink" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-top-padding-10" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Video</h4>
            </div>
            <div class="modal-body video-popup-container editor-content">
                
                <div class="video-input">
                    <div class="video_url_container">
                        <textarea placeholder="Paste your video link" id="video" class="textarea-scrollbar scrollbar-outer form-control story-input-text"></textarea>
                     
                     </div>
                     
                     <div class="video_frame_container" style="display:none;">
                        <div class="video_frame_contain">
                            <div class="video_frame_display">
                                
                            </div>
                            <div class="video-form">
                                <div class="video_form_controls">
                                    <textarea placeholder="Write something about the video" class="textarea-scrollbar scrollbar-outer form-control video-input-text story-input-text"></textarea>
                                    <input type="hidden" id="video-url" class="video-url-text" value="" />
                                </div>
                            </div>
                        </div>
                     </div>
                    
                </div>
                
            </div>
            <div class="modal-footer bottom" id="video-btn" style="display:none;">
                <button class="btn btn-info" onclick="postStory('video-input', 'video')">Post</button>
            </div>
        </div>
    </div>
</div>
<!-- Footer -->
    <?php echo $this->render('brand-footer.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL)); ?>
<!--END-->

<input type="hidden" value="<?php echo $this->postType; ?>" name="hdnPostType" id="hdnPostType" />

<script>

    function calculateDates() {
        var postType = document.getElementById('hdnPostType').value;
        var elements = document.querySelectorAll("[data-date]");
        for(var el in elements) {
            if(!elements.hasOwnProperty(el)) continue;
            el = elements[el];
            if(postType == 'drafts')
            {
                el.innerHTML = 'saved '+formatAgoTime(el.dataset.date);
            }
            else
            {
                el.innerHTML = formatAgoTime(el.dataset.date);
            }
        }
    }
    window.setInterval(calculateDates, 1000 * 29);
    window.onGloabalJS.push(calculateDates);

    <? if($user) { ?>
    window.onGloabalJS.push(function() {
        window.getNotifications('feed-template');
    });
    <? } ?>

    function updateLoveUsButton() {
        if(g_thisBrand.lovedByUser) {
            $('#loveUsButton .text').text('Loved!');
        }else{
            $('#loveUsButton .text').text('Love Us');
        }
    }

    window.loveUsClicked = function(el) {
        var loveBool = !g_thisBrand.lovedByUser;
        window.ajaxSubmitCheck("<?= $this->url("root/interactionController", ["action" => "loveBrand", "param" => $this->thisBrand->id, "param2" => "BOOL"]) ?>".replace(/BOOL/, loveBool), {}, function (data) {
            g_thisBrand.lovedByUser = data.newValue;
            updateLoveUsButton();
        }, "Could not love the brand. %s");
    };
    onGloabalJS.push(updateLoveUsButton);

    function changeBrandAvatar() {
        <?php if($this->userCanEditBrand) { ?>
        labImage('Change brand avatar image', function(imageData) {
            if(imageData) {
                $('.loading-container').show();
                window.ajaxSubmitCheck('<?= $this->url('root/brandSettings', ['action'=>'uploadAvatar', 'param' => $this->thisBrand->url]) ?>', {
                    imageString: imageData.data.split('base64,', 2)[1]
                }, function() {
                    document.location.reload();
                }, "The brand avatar couldn't be changed. %s");
            }
        }, 400, 400);
        <?php }else{ ?>
        return false;
        <?php } ?>
    }    
    
    function trim(str) {
        return str.replace(/^\s+|\s+$/g, "");
    }
    
    function convertURLToVideoPlayer()
    {
        var videoURL = " " + $('#video').val();
        var urlRegex = /(https?\:\/\/|\s)[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})(\/+[a-z0-9_.\:\;-]*)*(\?[\&\%\|\+a-z0-9_=,\.\:\;-]*)?([\&\%\|\+&a-z0-9_=,\:\;\.-]*)([\!\#\/\&\%\|\+a-z0-9_=,\:\;\.-]*)}*/i;
        if (trim(videoURL) !== "") {
            if (urlRegex.test(videoURL)) {
                var framedHTML = videoEmbed.convertVideo(videoURL);
                if(framedHTML != false)
                {
                    $('.video_frame_container .video_frame_display').html(framedHTML);
                    $('.video_frame_container #video-url').val(videoURL);
                    $('.video_url_container').hide('fast', function(){
                        $('.video_frame_container').slideDown('slow');
                        $('#video-btn').show();
                    });
                }
                else
                {
                    labAlert("Paste video link only.");
                }
            }
            else
            {
                $('#video').val("");
            }
        }
    }
    
    console.log("REG ONLOAD");
    window.onload = function() {
        console.log("FIRE ONLOAD");
       
        var $textareas = $('textarea.autoresize');

        $('#video').bind({
            paste: function () {
                setTimeout(function () {
                    convertURLToVideoPlayer();
                }, 100);
            },
            keyup: function (e) {
                if ((e.which === 13 || e.which === 32 || e.which === 17)) {
                    convertURLToVideoPlayer();
                }
            }
        });
        
        // Comments
        window.autosizeTextarea($('.comment-form textarea.comment-content'), 60, 300);
        window.autosizeTextarea($textareas, 80, 1000); // todo: fix
    }
   
</script>